import { DialogBaseComponent } from '../../dialog-base.component';
export declare class VoucherCodePendingReasonDialogComponent extends DialogBaseComponent {
    showClass(): boolean;
    voucherCode: string;
    pendingReason: string;
    handleOkClick(): void;
    handleCloseClick(): void;
    onKeyDown(event: KeyboardEvent): void;
}
